%{?nodejs_find_provides_and_requires}

%global packagename homedir-polyfill

# tests run fine locally, but fail in mock/koji environments
%global enable_tests 0

Name:		nodejs-homedir-polyfill
Version:	1.0.1
Release:	1%{?dist}
Summary:	Node.js os.homedir polyfill for older versions of node.js

License:	MIT
URL:		https://github.com/doowb/homedir-polyfill
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/doowb/homedir-polyfill/1.0.1/test.js



ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(parse-passwd)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Node.js os.homedir polyfill for older versions of node.js.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
HOME=/builddir %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Apr 15 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
